<?php
defined('_JEXEC') or die;

$payment_class = $displayData['payment_class'];
$params = $displayData['params'];
$pmconfigs = $displayData['pmconfigs'];
$enot_currencies = $displayData['enot_currencies'];
$all_dostup = $displayData['all_dostup']; //Все доступные

$stop = false;
if (count($all_dostup) == 0) $stop = true;
?>

    <script type="text/javascript">
        function check_<?php echo $payment_class; ?>() {
            if (jQuery('#tr_payment_<?php echo $payment_class; ?> select.pm_wishboxrobokassa_robokassa_currency').val() != '') {
                $_('payment_form').submit();
            }
        }
    </script>

<?php if ($stop):
    echo "<div style='color: #ca5454;'>";
    echo "Нет доступных вариантов для оплаты";
    echo "</div>";
    ?>

    <script type="text/javascript">

        jQuery(":radio[value=pm_enot]").attr('disabled', true);
        jQuery(":radio[value=pm_enot]").prop('checked', false);
        jQuery(":radio[value=pm_enot]").next('label').css('opacity', 0.5);
    </script>

<?php else: ?>

    <select class="pm_enot_currency"
            name="params[<?php echo $payment_class; ?>][enot_currency]">
        <option value="">
            <?php echo _JSHOP_PM_ENOT_OPTION_SELECT_ENOT_CURRENCY; ?>
        </option>
        <?php /* Проходим по массиву групп способов оплаты */ ?>
        <?php foreach ($enot_currencies as $group) { ?>
            <?php /* Если включены все группы или именно эта */ ?>
            <?php if (($pmconfigs->get('enot_currency_group', '-1') == '-1') || $pmconfigs->get('enot_currency_group', '-1')) { ?>
                <?php if ($pmconfigs->get('enot_currency_group', '-1') == '-1') { ?>
                    <optgroup label="<?php echo $group->title; ?>">
                <?php } ?>
                <?php foreach ($group->currencies as $enot_currency) { ?>
                    <option value="<?php echo $enot_currency->code; ?>"
                        <?php echo ($enot_currency->code == $params['enot_currency']) ? 'selected' : ''; ?>>
                        <?php echo $enot_currency->title; ?>
                    </option>
                <?php } ?>
                <?php if ($pmconfigs->get('enot_currency_group', '-1') == '-1') { ?>
                    </optgroup>
                <?php } ?>
            <?php } ?>
        <?php } ?>
    </select>

<?php endif; ?>