<?php

defined('_JEXEC') or die;

$payment_class = $displayData['payment_class'];
$params = $displayData['params'];
$pmconfigs = $displayData['pmconfigs'];
$enot_currencies = $displayData['enot_currencies'];
?>

    <script type="text/javascript">
        //
        function check_<?php echo $payment_class; ?>() {
            // Если выбрана валюта в Enot
            if (jQuery('#tr_payment_<?php echo $payment_class; ?> input[name="params[pm_enot][enot_currency]"]:checked').val()) {
                $_('payment_form').submit();
            } else {
                alert('<?php echo _JSHOP_PM_ENOT_OPTION_SELECT_ENOT_CURRENCY; ?>');
            }
        }
    </script>
<?php /* Проходим по массиву групп способов оплаты */ ?>
<?php foreach ($enot_currencies as $group) { ?>
    <?php /* Если включены все группы или именно эта */ ?>
    <?php if (($pmconfigs->get('enot_currency_group', '-1') == '-1') || $pmconfigs->get('enot_currency_group', '-1') == $group->code) { ?>
        <fieldset>
            <?php if ($pmconfigs->get('enot_currency_group', '-1') == '-1') { ?>
                <legend>
                    <?php echo $group->title; ?>
                </legend>
            <?php } ?>
            <?php foreach ($group->currencies as $currency) { ?>
                <div class="radio">
                    <label>
                        <input
                                class="pm_enot_currency"
                                type="radio"
                                name="params[<?php echo $payment_class; ?>][enot_currency]"
                                value="<?php echo $currency->code; ?>"
                            <?php echo ($currency->code == $params['enot_currency']) ? 'checked' : ''; ?>
                        />
                        <?php echo $currency->title; ?>
                    </label>
                </div>
            <?php } ?>
        </fieldset>
    <?php } ?>
<?php } ?>